#!/usr/bin/gnuplot

Mlf_over_Mtot_M09(Q_over_QstarD) = 0.008*Q_over_QstarD*exp(-(Q_over_QstarD/4.)**2)
Mlf_over_Mtot_C14(Q_over_QstarD) = 0.6/(13.*Q_over_QstarD**(-1.2)+1.5*Q_over_QstarD)

Mlf_over_Mtot1(Q_over_QstarD) = 0.008*(Q_over_QstarD)**(1.2)*exp(-(Q_over_QstarD/3.8)**2)
Mlf_over_Mtot2(Q_over_QstarD) = 0.008*(Q_over_QstarD)**(1.4)*exp(-(Q_over_QstarD/3.8)**2)
Mlf_over_Mtot3(Q_over_QstarD) = 0.006*(Q_over_QstarD)**(1.4)*exp(-(Q_over_QstarD/4.0)**2)

D_PB = 150.
D_PB = 143.
Mtot = D_PB**3
Dlf_M09(Q_over_QstarD) = (Mlf_over_Mtot_M09(Q_over_QstarD)*Mtot)**(1./3.)
Dlf_C14(Q_over_QstarD) = (Mlf_over_Mtot_C14(Q_over_QstarD)*Mtot)**(1./3.)

Dlf1(Q_over_QstarD) = (Mlf_over_Mtot1(Q_over_QstarD)*Mtot)**(1./3.)
Dlf2(Q_over_QstarD) = (Mlf_over_Mtot2(Q_over_QstarD)*Mtot)**(1./3.)
Dlf3(Q_over_QstarD) = (Mlf_over_Mtot3(Q_over_QstarD)*Mtot)**(1./3.)

########################################################################

set term x11

set xl "Q/Q^{star}_D"
set yl "D_{lf} [km]"


set xr [0.0001:1000]
set yr [0.1:]
set logscale xy
set mxtics 10

p \
  "families.out2" u 14:9 lw 3 ps 3,\
  "SPH_simulations.dat" u 2:4 w lp,\
  "SPH_simulations.dat" u 3:4 w lp,\
  "Morbidelli_etal_2009_boulder_code_mmc1_Fig13.dat" u 1:(($2*Mtot)**(1./3.)) w p,\
  "<awk '/_15_/' Dlf_durda.dat" u 1:($3/100.*D_PB) w p,\
  Dlf_M09(x),\
  Dlf2(x) lw 3,\
  2.613 w l lt 0
  
pa -1


q

  Dlf1(x),\
  Dlf3(x),\


  "<awk '($2==2)' families.out" u 14:($5*1.2),\
q_M09(Q_over_QstarD) = -10. + 7.*Q_over_QstarD**0.4 * exp(-Q_over_QstarD/7.)
q_C14(Q_over_QstarD) = -6.3 + 3.16*Q_over_QstarD**0.01 * exp(-0.008*Q_over_QstarD)

set term x11

set xl "Q/Q_star_D"
set yl "q"

set xr [0.001:1000]
set logscale x

p q_M09(x),\
  q_C14(x)

#pa -1

