#!/usr/bin/gnuplot

Mlf_over_Mtot_M09(Q_over_QstarD) = 0.008*Q_over_QstarD*exp(-(Q_over_QstarD/4.)**2)
Mlf_over_Mtot_C14(Q_over_QstarD) = 0.6/(13.*Q_over_QstarD**(-1.2)+1.5*Q_over_QstarD)

Mlf_over_Mtot1(Q_over_QstarD) = 0.008*(Q_over_QstarD)**(1.2)*exp(-(Q_over_QstarD/3.8)**2)
Mlf_over_Mtot2(Q_over_QstarD) = 0.008*(Q_over_QstarD)**(1.4)*exp(-(Q_over_QstarD/3.8)**2)
Mlf_over_Mtot3(Q_over_QstarD) = 0.006*(Q_over_QstarD)**(1.4)*exp(-(Q_over_QstarD/4.0)**2)

D_PB = 150.
D_PB = 143.
Mtot = D_PB**3
Dlf_M09(Q_over_QstarD) = (Mlf_over_Mtot_M09(Q_over_QstarD)*Mtot)**(1./3.)
Dlf_C14(Q_over_QstarD) = (Mlf_over_Mtot_C14(Q_over_QstarD)*Mtot)**(1./3.)

Dlf1(Q_over_QstarD) = (Mlf_over_Mtot1(Q_over_QstarD)*Mtot)**(1./3.)
Dlf2(Q_over_QstarD) = (Mlf_over_Mtot2(Q_over_QstarD)*Mtot)**(1./3.)
Dlf3(Q_over_QstarD) = (Mlf_over_Mtot3(Q_over_QstarD)*Mtot)**(1./3.)

########################################################################

set term x11

set xl "{/Helvetica-Oblique Q}/{/Helvetica-Oblique Q}@^{*}_D"
set yl "{/Helvetica-Oblique D}_{LF} [km]"

set xr [0.0001:100]
set yr [0.1:]
set logscale xy
set mxtics 10
set key at graph 0.8,graph 0.4 samplen 1.0 font "Helvetica,14"
set colors podo

p \
  "SPH_simulations.dat" u 3:4              t "our high-res SPH simulations" w lp,\
  "Dlf_durda_45DEG.dat" u 1:($3/100.*D_PB) t "data from Durda etal. (2007)" w p,\
  Dlf_M09(x) t "relation from Morbidelli etal. (2009)",\
  Dlf1(x) t "our relation 1" lw 1,\
  Dlf2(x) t "our relation 2" lw 3,\
  2.613 w l lt 0
  
#pa -1

set term post eps enh color solid "Helvetica,18"
set out "Dlf.eps"
set size 0.9,0.7
rep

q


  "families.out2" u 14:9 lw 3 ps 3,\
  Dlf1(x),\
  Dlf3(x),\
  "Morbidelli_etal_2009_boulder_code_mmc1_Fig13.dat" u 1:(($2*Mtot)**(1./3.)) w p,\

