#!/usr/bin/gnuplot

Mlf_over_Mtot_M09(Q_over_QstarD) = 0.008*Q_over_QstarD*exp(-(Q_over_QstarD/4.)**2)
Mlf_over_Mtot_C14(Q_over_QstarD) = 0.6/(13.*Q_over_QstarD**(-1.2)+1.5*Q_over_QstarD)

Mlf_over_Mtot1(Q_over_QstarD) = 0.008*(Q_over_QstarD)**(1.2)*exp(-(Q_over_QstarD/3.8)**2)
Mlf_over_Mtot2(Q_over_QstarD) = 0.008*(Q_over_QstarD)**(1.4)*exp(-(Q_over_QstarD/3.8)**2)  # <- this was selected!
Mlf_over_Mtot3(Q_over_QstarD) = 0.006*(Q_over_QstarD)**(1.4)*exp(-(Q_over_QstarD/4.0)**2)
Mlf_over_Mtot4(Q_over_QstarD) = 0.008*(Q_over_QstarD)**(1.4)*exp(-(Q_over_QstarD/3.0)**1.6)

########################################################################

set term x11

set xl "{/Helvetica-Oblique Q}/{/Helvetica-Oblique Q}@^{*}_{D}"
set yl "{/Helvetica-Oblique M}_{lf}/{/Helvetica-Oblique M}_{tot}" offset 0.5,0

set xr [0.001:20]
set yr [1e-6:0.1]
set logscale xy
set mxtics 10

set ytics (\
  "0.1"     1e-1 0,\
  ""        9e-2 1,\
  ""        8e-2 1,\
  ""        7e-2 1,\
  ""        6e-2 1,\
  ""        5e-2 1,\
  ""        4e-2 1,\
  ""        3e-2 1,\
  ""        2e-2 1,\
  "0.01"    1e-2 0,\
  ""        9e-3 1,\
  ""        8e-3 1,\
  ""        7e-3 1,\
  ""        6e-3 1,\
  ""        5e-3 1,\
  ""        4e-3 1,\
  ""        3e-3 1,\
  ""        2e-3 1,\
  "10^{-3}" 1e-3 0,\
  ""        9e-4 1,\
  ""        8e-4 1,\
  ""        7e-4 1,\
  ""        6e-4 1,\
  ""        5e-4 1,\
  ""        4e-4 1,\
  ""        3e-4 1,\
  ""        2e-4 1,\
  "10^{-4}" 1e-4 0,\
  ""        9e-5 1,\
  ""        8e-5 1,\
  ""        7e-5 1,\
  ""        6e-5 1,\
  ""        5e-5 1,\
  ""        4e-5 1,\
  ""        3e-5 1,\
  ""        2e-5 1,\
  "10^{-5}" 1e-5 0,\
  ""        9e-6 1,\
  ""        8e-6 1,\
  ""        7e-6 1,\
  ""        6e-6 1,\
  ""        5e-6 1,\
  ""        4e-6 1,\
  ""        3e-6 1,\
  ""        2e-6 1,\
  "10^{-6}" 1e-6 0 \
  )

set colors classic
set key left spacing 1.5 samplen 1.0 width -3 font "Helvetica,14"
set lmargin 7.2
set rmargin 1.2
set tmargin 0.6
set bmargin 3.2

tmp=0.002; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

p \
  "Dlf_durda_45DEG.dat_2.7" u 1:(($3/100.)**3) w p,\
  "Dlf_durda_45DEG.dat_3.0" u 1:(($3/100.)**3) w p,\
  "SPH_simulations.dat" u 3:(($4/150.)**3) t "this work (upper limits)" w p lt 8 ps 1.33 pt 11,\
  Mlf_over_Mtot_M09(x)                     t "Morbidelli et al. (2009)" w l lt 7 dt 2,\
  Mlf_over_Mtot2(x)                        t "this work"                w l lt 1 lw 3 dt 1,\
  Mlf_over_Mtot4(x)                        t "this work"                w l,\
  
pa -1

set term post eps enh color dashed "Helvetica,18"
set out "Mlf_3.0.eps"
set size 0.7,0.8
rep



q


